Hi Madison,

Just to follow up on this, I happened to have the exact same problem at about the same time.  Following Nathan's suggestion, I did:
export CC=clang
export CXX=clang++

and removed the old installation and started the install script from scratch.  This worked for me.

Britton

On Mon, May 18, 2015 at 3:03 PM, Nathan Goldbaum <nathan12343@gmail.com> wrote:


On Mon, May 18, 2015 at 12:52 PM, Madison Fitzgerald <fitzg152@msu.edu> wrote:
Hi there,

I’m just starting out with yt (I’m using the stable version available on the website, https://bitbucket.org/yt_analysis/yt/raw/stable/doc/install_script.sh), and I’m running into a problem when yt tries to install python after I execute bash ./install_script.sh. I have gcc version 4.9.3. Looking through the archives and google haven’t given me a solution. Additionally, my professor hasn’t seen this error before and can’t figure it out, but he thinks it might be a 10.10 specific problem that y’all could help me with.

On OSX you probably shouldn't be building using gcc.  Instead, you should be building using clang (the default compiler on OSX) from the xcode command line tools.

In principle, python should compile using gcc on OSX 10.10, but I doubt it's commonly done.
 

********************************************
        FAILURE REPORT:
********************************************

                 from /usr/include/stdio.h:65,
                 from Include/Python.h:33,
                 from Python/mactoolboxglue.c:26:
//System/Library/Frameworks/CoreServices.framework/Frameworks/FSEvents.framework/Headers/FSEvents.h:262:38: error: expected ',' or '}' before '__attribute__'
   kFSEventStreamCreateFlagIgnoreSelf __OSX_AVAILABLE_STARTING(__MAC_10_6, __IPHONE_6_0) = 0x00000008,
                                      ^
//System/Library/Frameworks/CoreServices.framework/Frameworks/FSEvents.framework/Headers/FSEvents.h:414:38: error: expected ',' or '}' before '__attribute__'
   kFSEventStreamEventFlagItemCreated __OSX_AVAILABLE_STARTING(__MAC_10_7, __IPHONE_6_0) = 0x00000100,
                                      ^
make: *** [Python/mactoolboxglue.o] Error 1

********************************************
********************************************

I’ve attached my install_script and yt_install.log, which detail the specific error and which version of the install_script I’m using.

Thank you very much,
Madison Fitzgerald

Astrophysics | Lyman Briggs College
Women’s & Gender Studies | College of Arts & Letters
LGBTQ and Sexuality Studies Specialization
Women in Science, President
Undergraduate Teaching Assistant
Undergraduate Research Assistant
Department of Physics and Astronomy
Honors College
Michigan State University




_______________________________________________
yt-users mailing list
yt-users@lists.spacepope.org
http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org



_______________________________________________
yt-users mailing list
yt-users@lists.spacepope.org
http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org